Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.toolkit
Class ScaleTool

    java.lang.Object
      java.awt.event.KeyAdapter
          jpicedt.graphic.toolkit.MouseTool
              jpicedt.graphic.toolkit.ScaleTool

All Implemented Interfaces:
  EventListener, KeyListener, PEMouseInputListener

public class ScaleTool
extends MouseTool

A MouseTool used to scale a target Element using a source and a destination vector.

Sequence of mouse operations :

- mousePressed -> set first corner of source rectangle
- mouseDragged -> drag second corner source rectangle
- mouseReleased -> switch to destination rectangle
- mouseMoved -> set second corner of destination rectangle, and rescale target element accordingly
- mousePressed -> complete operation, then reset.

Since:
  jPicEdt 1.3
Version:
  $Id: ScaleTool.java,v 1.7.2.1 2007/09/02 11:56:29 reynal Exp $
Author:
  Sylvain Reynal

Field Summary

Fields inherited from class jpicedt.graphic.toolkit.MouseTool
`lastMouseEvent, mouseOutside`

Constructor Summary
`ScaleTool(EditorKit kit, Element target)`

Method Summary
`void` | `flush()` Called when this tool is being replaced by another tool in the hosting kit
`void` | `mouseDragged(PEMouseEvent e)` this default implementation simply stores the given mouse-event in lastMouseEvent field
`void` | `mouseMoved(PEMouseEvent e)` this default implementation simply stores the given mouse-event in lastMouseEvent field
`void` | `mousePressed(PEMouseEvent e)` set the source rect, then the destination rect
`void` | `mouseReleased(PEMouseEvent e)` this default implementation simply stores the given mouse-event in lastMouseEvent field
`void` | `paint(Graphics2D g, Rectangle2D allocation, double scale)` Allow the tool to paint shapes that are specific to this tool.

Methods inherited from class jpicedt.graphic.toolkit.MouseTool
`getLastMouseEvent, init, keyPressed, keyReleased, mouseClicked, mouseEntered, mouseExited, processKeyEvent`

Methods inherited from class java.awt.event.KeyAdapter
`keyTyped`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScaleTool

    public ScaleTool(EditorKit kit,
                     Element target)

Parameters:
  `kit` - the EditorKit this mouse-tool is to registered with.

Method Detail

### mousePressed

    public void mousePressed(PEMouseEvent e)

  set the source rect, then the destination rect

  Specified by:
    `mousePressed` in interface `PEMouseInputListener`
  Overrides:
    `mousePressed` in class `MouseTool`

### mouseReleased

    public void mouseReleased(PEMouseEvent e)

  Description copied from class: `MouseTool`
  this default implementation simply stores the given mouse-event in lastMouseEvent field

  Specified by:
    `mouseReleased` in interface `PEMouseInputListener`
  Overrides:
    `mouseReleased` in class `MouseTool`

### mouseMoved

    public void mouseMoved(PEMouseEvent e)

  Description copied from class: `MouseTool`
  this default implementation simply stores the given mouse-event in lastMouseEvent field

  Specified by:
    `mouseMoved` in interface `PEMouseInputListener`
  Overrides:
    `mouseMoved` in class `MouseTool`

### mouseDragged

    public void mouseDragged(PEMouseEvent e)

  Description copied from class: `MouseTool`
  this default implementation simply stores the given mouse-event in lastMouseEvent field

  Specified by:
    `mouseDragged` in interface `PEMouseInputListener`
  Overrides:
    `mouseDragged` in class `MouseTool`

### flush

    public void flush()

  Called when this tool is being replaced by another tool in the hosting kit

  Overrides:
    `flush` in class `MouseTool`

### paint

    public void paint(Graphics2D g,
                      Rectangle2D allocation,
                      double scale)

  Allow the tool to paint shapes that are specific to this tool.

  Overrides:
    `paint` in class `MouseTool`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org